# GET\_ACCOUNT

## Overview

*This method returns specific account data for a program based on an accountName and pubkey.*&#x20;

{% openapi src="/files/CEOCLmVeTOqLov1cw05b" path="/query/solana" method="post" %}
[Carpool\_dev-GET\_ACCOUNT-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2FaCeznTOfqwTU2muDoHs5%2FCarpool_dev-GET_ACCOUNT-0.1-resolved.json?alt=media\&token=2953e6a9-e8de-46da-ae83-843d4e032d06)
{% endopenapi %}

## Example

**Program** - *Cypher Protocol*

**Description** *- Get data about the specifc OrdersAccount at the given pubkey: Fbpf...oPHk*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_ACCOUNT",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "accountName": "OrdersAccount",
    "accountPubKey": "FbpfJWThAJ3DRb42GuFTJxrUjxsDQ4TyWqXQZofWoPHk"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_ACCOUNT",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountName": "OrdersAccount",
        "accountPubKey": "FbpfJWThAJ3DRb42GuFTJxrUjxsDQ4TyWqXQZofWoPHk"
    }
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/accounts/get_account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
